package com.persagy.ztkencryptdecodedata;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

@Component
@Order(value = 1)
public class SystemConfig  implements ApplicationRunner {

    @Autowired // 注入到容器中
    private Environment environment;

    @Value("${spring.location}")
    private  String profile;


    @Override
    public void run(ApplicationArguments args) throws Exception {
        System.out.println("Environment Properties Config >>> " + environment.getProperty("spring.location"));
    }
}
