package com.persagy.ztkencryptdecodedata;

import cn.shuibo.annotation.EnableSecurity;
import com.persagy.ztkencryptdecodedata.config.YmlPropertySourceFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.PropertySource;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableAsync
@EnableSecurity
@PropertySource(value = "classpath:application-${spring.profiles.active}.yml", encoding = "UTF-8",factory = YmlPropertySourceFactory.class)
@ServletComponentScan
@SpringBootApplication
public class ZtkEncryptdecodedataApplication {

    public static void main(String[] args) {
        ConfigurableApplicationContext run = SpringApplication.run(ZtkEncryptdecodedataApplication.class, args);

    }

}
