package com.persagy.ztkencryptdecodedata.controller;

import cn.shuibo.annotation.Decrypt;
import cn.shuibo.annotation.Encrypt;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.web.bind.annotation.*;

@RestController
@EnableAutoConfiguration
public class TestEnDeServiceController {


    /**
     * 对返回值加密
     * @return
     */
    @Encrypt
    @GetMapping("/encryt")
    public String test01(@RequestParam String Str ){

        return Str;
    }

    /**
     * 对传过来的加密参数进行解密
     * @param testBean
     * @return
     */
    @Decrypt
    @PostMapping("/decrypt")
    public String test02(@RequestBody String testBean){
        return testBean;
    }

}
